/* ========= Colors ========= */

:root {
  --black: #222;
  --white: #fff;
  --default: #0751a5;
  --orange: #ff7417;
  --yellow: #d1b307;
  --grey: #a0a3ad;
  --grey2: #f9fafd;
  --warn: #e71247;
}

/* ------------------- Scroll To Top Button ------------------ */

.scrollTop{
  position: fixed;
  bottom: 800px;
  right: 40px;
  width: 60px;
  height: 60px;
  background: #fff url('../images/Extras/up.png');
  border-radius: 50%;
  background-size: 40px;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
  z-index: 100000;
  visibility: hidden;
  opacity: 0;
  transition: 0.5s; /* para la velocidad con que termina de aparecer por completo el botón (velicidad de fade) */
}

.scrollTop.active{
  visibility: visible;
  opacity: 1;
  bottom: 40px;
}

/* ------------------- Scroll To Top Button ------------------ */

.scrollTop{
  position: fixed;
  bottom: 800px;
  right: 40px;
  width: 60px;
  height: 60px;
  background: #fff url('../images/Extras/up.png');
  border-radius: 50%;
  background-size: 40px;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
  z-index: 100000;
  visibility: hidden;
  opacity: 0;
  transition: 0.5s; /* para la velocidad con que termina de aparecer por completo el botón (velicidad de fade) */
}

.scrollTop.active{
  visibility: visible;
  opacity: 1;
  bottom: 40px;
}

/* ----------------- Scroll Bar NO FUNCIONA AQUI ------------------ */

/* ---------- Day/Night Mode ----------- */

body.night{
  background: #00151f;
  transition: 0.5s;
}

body.night h1,
body.night h3,
body.night .price{
  color: #fff;
}

/* --------------- Day/Night Toggle Button ------------------------ */

.toggle{
  position: fixed;
  top: 37px;
  right: 50px;
  background: #fff;
  border: 2px solid #00151f;
  width: 45px;
  height: 25px; /* Ajustar */
  cursor: pointer;
  border-radius: 20px;
  transition: 0.5s;
}

.toggle.active{
  background: #00151f;
  border: 2px solid #fff;
}

.toggle:before{
  content: '';
  position: absolute;
  top: 1.5px; /* Ajustar */
  left: 2.5px; /* Ajustar */
  width: 18px;
  height: 18px;
  background: #00151f;
  border-radius: 50%;
  transition: 0.5s;
}

.toggle.active:before{
  left: 20px;
  background: #fff;
}


/* ========= Reset ========= */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
}

body {
  font-family: "Dosis", sans-serif;
  font-size: 1.6rem;
  font-weight: 400;
  color: var(--black);
  background-color: var(--white);
  cursor: url('../images/Extras/cursor/BrawlStars.cur'), auto;
}

a{
  cursor: url('../images/Extras/cursor/BrawlStarsTaraLink.cur'), auto;
}

h2,
h3,
h4 {
  font-weight: 400;
}

img {
  max-width: 100%;
  max-height: 100%;
}

a {
  text-decoration: none;
}

ul,
li {
  list-style: none;
}

.container {
  max-width: 114rem;
  margin: 0 auto;
  padding: 0 1.6rem;
}

@media only screen and (max-width: 1200px) {
  .container {
    padding: 0 3rem;
  }
}

@media only screen and (max-width: 768px) {
  .container {
    padding: 0 5rem;
  }
}

/* ------------------ Pop Up info ------------------- */

.popup{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none; /* se oculta y se activa con el js */
  z-index: 99;
}

.contentBox{
  position: relative;
  width: 600px;
  height: 400px;
  background: #fff;
  border-radius: 20px;
  display: flex;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.contentBox .imgBx{
  position: relative;
  width: 300px;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contentBox .imgBx::before{
  content: '';
  position: absolute;
  width: 250px;
  height: 250px;
  background: #e7ffe0;
  border-radius: 50%;
}

.contentBox .imgBx img{
  position: relative;
  max-width: 250px;
  z-index: 1;
}

.contentBox .content{
  position: relative;
  width: 300px;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.contentBox .content h3{
  color: #333;
  line-height: 1em;
  font-weight: 300;
  font-size: 2em;
}

.contentBox .content h2{
  font-size: 4em;
  color: #ff4d54;
  line-height: 1em;
}

.contentBox .content h2 span{
  color: #333;
  font-size: 0.75em;
  text-transform: uppercase;
}

.contentBox .content p{
  font-weight: 300;
}

.contentBox .content a{
  display: inline-block;
  padding: 10px 20px;
  background: #ff4d54;
  color: #fff;
  margin-top: 15px;
  text-decoration: none;
  border-radius: 10px;
}

.close{
  position: absolute;
  top: 20px;
  right: 20px;
  width: 40px;
  height: 40px;
  background: #f3f3f3 url('../images/Backgrounds/cancel.png');
  background-repeat: no-repeat;
  background-size: 40px;
  background-position: center;
  cursor: pointer;
  border-radius: 50%;
  z-index: 10;
}

/* Navigation */
.nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 1.5rem 0;
  line-height: 1rem;
  background-color: var(--black);
}

.hamburger {
  display: none;
}

.nav__center {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

/* .nav__logo {
  font-size: 2rem;
  color: var(--white);
} */

.nav__logo img{
  width: 45px; 
  height: 67px; 
}

.nav__logo span {
  color: var(--orange);
}

.nav__list {
  display: flex;
  align-items: center;
}

.login {
  display: inline-block;
  font-size: 1.7rem;
  margin-right: 2rem;
  padding: 1.3rem 1.5rem;
  color: var(--black);
  background-color: var(--yellow);
}

.login:focus {
  outline: none;
}

.cart__icon {
  position: relative;
  cursor: pointer;
  margin-right: 100px;
}

.cart__icon h2 {
  font-weight: 700;
  color: var(--orange);
}

.cart__icon span {
  position: absolute;
  top: -1rem;
  right: -2.5rem;
  width: 2.5rem;
  height: 2.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--warn);
  color: var(--white);
  padding: 0.5rem;
  font-size: 1.5rem;
  font-weight: 700;
  border-radius: 50%;
}

/* Products Center */

.rating span svg {
  width: 1.6rem;
  height: 1.6rem;
  fill: var(--orange);
}

.products {
  padding: 15rem 0;
}

.product__center {
  padding: 0 3rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30rem, 1fr));
  gap: 3rem 1rem;
}

.product {
  border: 1px solid #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  box-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.1);
}

.product__footer {
  padding: 1rem;
  width: 100%;
}

.product__footer h1 {
  font-size: 2rem;
}

.rating {
  margin: 1rem 0;
}

.bottom {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 2rem;
}

.btn {
  display: inline-block;
  border: 1px solid var(--grey);
  padding: 1rem 1.8rem;
  color: var(--black);
  font-weight: 500;
  font-size: 1.7rem;
  cursor: pointer;
  transition: all 300ms ease-in-out;
}

.btn:hover {
  background-color: var(--orange);
  color: var(--white);
  border: 1px solid var(--orange);
}

.price {
  font-weight: 700;
  font-size: 1.8rem;
}

/* Cart */
.cart__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 300ms ease-in-out;
  background-color: rgba(0, 0, 0, 0.7);
  visibility: hidden;
  z-index: 2;
}

.cart {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.5);
  width: 60%;
  height: 80%;
  padding: 1.6rem;
  border-radius: 2rem;
  z-index: 3;
  overflow-y: scroll;
  background-color: var(--grey2);
  opacity: 0;
  visibility: hidden;
  transition: all 300ms ease-in-out;
}

.cart.show {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
  visibility: visible;
}

.cart__overlay.show {
  visibility: visible;
}

.close__cart {
  cursor: pointer;
}

.close__cart svg {
  fill: var(--black);
  transition: all 300ms ease-in-out;
}

.close__cart:hover svg {
  fill: var(--warn);
}

.cart svg {
  width: 1.8rem;
  height: 1.8rem;
}

.cart h1 {
  text-align: center;
  margin-bottom: 2rem;
}

.cart__item svg {
  width: 2.5rem;
  height: 2.5rem;
  fill: var(--orange);
}

.cart__item {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 2fr 1fr 1fr;
  width: 70%;
  margin: 2rem auto;
}

.cart__item div {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.cart__item div span {
  cursor: pointer;
}

.cart__item img {
  width: 9.5rem;
  height: 9.5rem;
}

.cart__item h3 {
  font-weight: 500;
  margin-bottom: 1.5rem;
}

.cart__item .price {
  color: var(--orange);
  font-weight: 700;
}

.cart__item p {
  font-weight: 700;
}

.cart__item .remove__item {
  cursor: pointer;
}

.cart__item .remove__item svg {
  fill: var(--warn);
}

@media only screen and (max-width: 1350px) {
  .cart__item {
    width: 100%;
  }
}

@media only screen and (max-width: 996px) {
  .cart__item {
    grid-template-columns: 1fr 2fr 0.5fr 0.5fr;
  }

  .cart__item h3 {
    font-size: 1.7rem;
  }

  .cart__item .remove__item svg {
    width: 1.6rem;
    height: 1.6rem;
  }

  .cart__item img {
    width: 7.5rem;
    height: 7.5rem;
  }
}

.cart__footer {
  text-align: center;
  margin-bottom: 3rem;
}

.cart__footer h3 {
  font-size: 2.5rem;
  font-weight: 700;
  letter-spacing: 1px;
}

.cart__footer .btn {
  display: inline-block;
  padding: 1.5rem 3rem;
  font-size: 2rem;
  background-color: var(--orange);
  border: none;
  margin-top: 2rem;
}

.cart__footer .btn:focus {
  outline: none;
}

@media only screen and (max-width: 567px) {
  .cart {
    width: 100%;
    height: 100%;
    border-radius: 0rem;
  }

  .cart__item h3 {
    font-size: 1.6rem;
    margin-bottom: 1rem;
  }

  .btn {
    padding: 0.8rem 1.5rem;
    font-size: 1.6rem;
  }
}
